<?php
/**
 * Dhimay About Page
 * @package Dhimay
 *
 */
if (!class_exists('Dhimay_About_page')):
    class Dhimay_About_page
    {
        function __construct()
        {
            add_action('admin_menu', array($this, 'dhimay_backend_menu'), 999);
        }
        // Add Backend Menu
        function dhimay_backend_menu()
        {
            add_theme_page(esc_html__('Dhimay', 'dhimay'), esc_html__('Dhimay', 'dhimay'), 'activate_plugins', 'dhimay-about', array($this, 'dhimay_main_page'), 1);
        }
        // Settings Form
        function dhimay_main_page()
        {
            require get_template_directory() . '/classes/about-render.php';
        }
    }
    new Dhimay_About_page();
endif;