<?php
$wp_customize->add_setting('header_banner_sub_image',
    array(
        'default' => '',
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control( new WP_Customize_Image_Control(
    $wp_customize,
    'header_banner_sub_image',
        array(
            'label'      => esc_html__( 'Header Banner Sub Image', 'dhimay' ),
            'section'    => 'header_image',
        )
    )
);

$wp_customize->add_setting( 'header_banner_title',
    array(
    'default'           => $dhimay_default['header_banner_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'header_banner_title',
    array(
    'label'       => esc_html__( 'Header Image Title', 'dhimay' ),
    'section'     => 'header_image',
    'type'        => 'text',
    )
);

$wp_customize->add_setting( 'header_banner_sub_title',
    array(
    'default'           => $dhimay_default['header_banner_sub_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'header_banner_sub_title',
    array(
    'label'       => esc_html__( 'Header Image Sub Title', 'dhimay' ),
    'section'     => 'header_image',
    'type'        => 'text',
    )
);

$wp_customize->add_setting( 'header_banner_button_label',
    array(
    'default'           => $dhimay_default['header_banner_button_label'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'header_banner_button_label',
    array(
    'label'       => esc_html__( 'Header Image Button Text', 'dhimay' ),
    'section'     => 'header_image',
    'type'        => 'text',
    )
);

$wp_customize->add_setting( 'header_banner_button_link',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'header_banner_button_link',
    array(
    'label'       => esc_html__( 'Header Image Button Link', 'dhimay' ),
    'section'     => 'header_image',
    'type'        => 'text',
    )
);

$wp_customize->add_setting('ed_open_link_new_tab',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dhimay_sanitize_checkbox',
    )
);

$wp_customize->add_control('ed_open_link_new_tab',
    array(
        'label' => esc_html__('Open In New Tab', 'dhimay'),
        'section' => 'header_image',
        'type' => 'checkbox',
    )
 );